; === Hardware connections ===
; USART0.TxD output:
.equ TXD_VDIR = VPORTB_DIR
.equ TXD_bp = 2
; Target UPDI == PA1 (connected via 1kOhm resistor to UPDI of target device):
.equ TARGET_UPDI_INTFLAGS = PORTA_INTFLAGS
.equ TARGET_UPDI_PINCTRL = PORTA_PIN1CTRL
.equ TARGET_UPDI_PORT_VECT = PORTA_PORT_vect
.equ TARGET_UPDI_VDIR = VPORTA_DIR
.equ TARGET_UPDI_VIN = VPORTA_IN
.equ TARGET_UPDI_VOUT = VPORTA_OUT
.equ TARGET_UPDI_bp = 1
; Target UPDI Rx LED == PA2:
.equ LED_UPDI_RX_VDIR = VPORTA_DIR
.equ LED_UPDI_RX_VOUT = VPORTA_OUT
.equ LED_UPDI_RX_bp = 2
; Target UPDI Tx LED == PA3:
.equ LED_UPDI_TX_VDIR = VPORTA_DIR
.equ LED_UPDI_TX_VOUT = VPORTA_OUT
.equ LED_UPDI_TX_bp = 3

; === CPU clock frequency ===
.equ F_CPU = 20_000_000 ; Hz (internal HF osc. w/o prescaling).

.macro setClock
; Disable clock prescaler:
	ldi		tmp0, CPU_CCP_IOREG_gc
	xout	CPU_CCP, tmp0
	ldi		tmp0, 0
	xout	CLKCTRL_MCLKCTRLB, tmp0
.endmacro
